/*******************************************************************************
Copyright © 2024 Sebastian Roith <https://www.roith-unterrichtet.de>

Licensed under CC BY 4.0. To view a copy of this license, visit http://creativecommons.org/licenses/by/4.0/
*******************************************************************************/

window.CODINGTASK = {
	"heading": "Auftrag",
	"html": "<p>Die Klasse <code>HAUSAUFGABE</code> soll verwendbar sein, um Informationen über eine konkrete Hausaufgabe zu speichern. Ein Datum kann mittels Datentyp <code>int</code> gespeichert werden (z. B. als Anzahl der Tage seit einem festen Datum). Programmiere nur die Klassendefinition für <code>HAUSAUFGABE</code>, sodass es folgende Attribute gibt:</p>\n<dl>\n    <dt><code>aufgegebenAm</code></dt><dd>Datum, wann die Hausaufgabe aufgegeben wurde</dd>\n    <dt><code>zuErledigenBis</code></dt><dd>Datum, bis wann die Hausaufgabe erledigt werden muss</dd>\n    <dt><code>was</code></dt><dd>Beschreibung der Hausaufgabe in Worten</dd>\n    <dt><code>fach</code></dt><dd>Schulfach, zu dem die Hausaufgabe gehört (also Objekt der Klasse <code>FACH</code>)</dd>\n    <dt><code>schriftlich</code></dt><dd>Ob die Hausaufgabe schriftlich zu erledigen ist</dd>\n</dl>",
	"canReset": false,
	"labelSubmit": "📥 Klassendefinition überprüfen",
	"checkData": [
		{
			"name": "HAUSAUFGABE",
			"extends": "Object",
			"implements": [],
			"abstract": false,
			"static": false,
			"content": [
				{
					"name": "aufgegebenAm",
					"type": "int",
					"dimensions": "0",
					"static": false,
					"part": "attribute"
				},
				{
					"name": "zuErledigenBis",
					"type": "int",
					"dimensions": "0",
					"static": false,
					"part": "attribute"
				},
				{
					"name": "was",
					"type": "String",
					"dimensions": "0",
					"static": false,
					"part": "attribute"
				},
				{
					"name": "fach",
					"type": "FACH",
					"dimensions": "0",
					"static": false,
					"part": "attribute"
				},
				{
					"name": "schriftlich",
					"type": "boolean",
					"dimensions": "0",
					"static": false,
					"part": "attribute"
				}
			],
			"part": "class"
		}
	]
}